package my.web;

import java.io.IOException;
import javax.servlet.Filter;
import javax.servlet.FilterChain;
import javax.servlet.FilterConfig;
import javax.servlet.ServletException;
import javax.servlet.ServletRequest;
import javax.servlet.ServletResponse;
import javax.servlet.annotation.WebFilter;

@WebFilter(urlPatterns = {"/"})
public class WebfragmentFilter implements Filter {

  @Override
  public void init(FilterConfig filterConfig) throws ServletException {
  }

  @Override
  public void doFilter(ServletRequest req, ServletResponse res,
          FilterChain chain) throws IOException, ServletException {

    System.out.println(System.currentTimeMillis() + " Request WebfragmentFilter");
    chain.doFilter(req, res);
    System.out.println(System.currentTimeMillis() + " Response WebfragmentFilter");
  }

  @Override
  public void destroy() {
  }
}